<template>
  <v-layout>
    <div class="content-without-bg flex center">
      <div class="form col-sm-9  mb-3">
        <div class="row">
          <div class="col-sm-12 title">Redeem Voucher</div>
        </div>

        <div class="row sub-form mt-5">
          <div class="row-100 flex wrap align-center justify-center">
            <div class="voucher" v-for="voucher in vouchers">
              <img :src="voucher.imageBg" />
              <div class="voucher-title">{{voucher.title}}</div>
              <div class="voucher-sub-title">Valid until {{voucher.valid_date}}</div>
              <div class="circle" @click="selectVoucher(voucher._id)" />
              <div class="check" v-show="voucher._id == selectedVoucherID">
                <i class="fas fa-check"></i>
              </div>
              <div class="voucher-form" v-show="voucher._id == selectedVoucherID">
                <div class="col">
                  <label for="" class="label col-sm-12">Select Vehicle</label>
                  <select class="col-sm-12" v-model="selectedVehicle">
                    <option value="0"></option>
                    <option value="1">first</option>
                    <option value="2">second</option>
                  </select>
                  <div class="vehicle-select">
                    <i class="fas fa-car"></i>
                  </div>
                </div>
                <div class="col">
                  <label for="" class="label col-sm-12">Appointment Date</label>
                  <div class='input-group date' id='datepicker'>
                    <input type='text' class="form-control" />
                    <span class="input-group-addon">
                      <span class="fa fa-calendar" />
                    </span>
                  </div>
                </div>
                <div class="col">
                  <label for="" class="label col-sm-12">Appointment Time</label>
                  <div class="input-group bootstrap-timepicker timepicker">
                    <input id="timepicker" type="text" class="form-control input-small">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row-100 flex mt-5">
            <div class="col-sm-4">
            </div>
            <div class="col-sm-8 flex">
              <div class="form-group col-sm-6">
                <button type="button" class="col-sm-12 disabled-btn" disabled v-if="!selectedDate || !selectedTime || !selectedVehicle">Redeem Voucher</button>
                <button type="button" class="col-sm-12" v-if="selectedDate && selectedTime && selectedVehicle">Redeem Voucher</button>
              </div>
              <div class="form-group col-sm-6">
                <button type="button" class="col-sm-12 transparent-btn" @click="goBack">Back</button>
              </div>
            </div>
          </div>
        </div>

      </div>
      <Footer :showTop="false" />
    </div>
  </v-layout>
</template>

<style scoped>
  .voucher {
    width: 236px;
    height: 450px;
    margin-right: 10px;
  }
  .voucher .voucher-title {
    color: #ffffff;
    font-size: 13px;
    font-weight: 700;
    position: relative;
    top: -225px;
    margin-left: 10px;
    margin-top: 10px;
    font-family: 'club_bold', Arial, Helvetica, sans-serif;
  }
  .voucher .voucher-sub-title {
    color: #ffffff;
    font-size: 12px;
    font-weight: 400;
    position: relative;
    top: -225px;
    margin-left: 10px;
  }
  .voucher .circle {
    width: 34px;
    height: 34px;
    border: 4px solid white;
    border-radius: 34px;
    position: relative;
    top: -90px;
    left: 180px;
    cursor: pointer;
  }
  .check {
    color: white;
    position: relative;
    top: -120px;
    left: 190px;
  }
  .voucher-form {
    position: relative;
    top: -90px;
  }
  .vehicle-select {
    color: #707070;
    bottom: 0;
    top: 35px;
    margin: auto;
    right: 10px;
    position: absolute;
    cursor: pointer;
    width: 24px;
  }
</style>

<script>
  /* ============
   * Redeem Voucher Page
   * ============
   *
   * Page where the user can view the vehicle detail.
   */
  import { mapGetters } from 'vuex';
  import VLayout from '@/layouts/Default';
  import VCard from '@/components/Card';

  export default {
    /**
     * The name of the page.
     */
    name: 'redeem-voucher',

    computed: {
      ...mapGetters({
        vouchers: 'getVouchers'
      })
    },

    data() {
      return {
        // vouchers: this.$store.getters.getVouchers(),
        selectedVoucherID: 0,
        selectedTime: null,
        selectedVehicle: 1,
        selectedDate: null,
      };
    },

    mounted() {
      if ($('html').hasClass('fp-enabled')) {
        $.fn.fullpage.destroy('all');
      }
      this.$store.dispatch('setVouchers');
    },

    methods: {
      goBack() {
        this.$router.go(-1);
      },
      selectVoucher(voucherid) {
        this.selectedVoucherID = voucherid;
        const obj = this;
        $('[id=datepicker]').datepicker().on('changeDate', function(e) {
          obj.selectedDate = e.date;
        });
        $('[id=timepicker]').timepicker({defaultTime: false}).on('changeTime.timepicker', function(e) {
          obj.selectedTime = e.time;
        });
      },
    },

    /**
     * The components that the page can use.
     */
    components: {
      VLayout,
      VCard,
    },
  };
</script>
